import request from '@/utils/httpRequest'
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class WorkContractService {
  list (param) {
    return request({
      url: prefix + '/jy/workContract/workContractInfo/list',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: prefix + '/jy/workContract/workContractInfo/save',
      method: 'post',
      data: param
    })
  }
  remove (url) {
    return request({
      url: prefix + '/jy/workContract/workContractInfo/remove',
      method: 'get',
      params: {id: url}
    })
  }
  findContractById (id) {
    return request({
      url: prefix + '/jy/workContract/workContractInfo/findById',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/jy/workContract/workContractInfo/updateStatusById',
      method: 'post',
      data: param
    })
  }
	saveContract (param) {
		return request({
			url: prefix + '/jy/workContract/workContractInfo/saveContract',
			method: 'post',
			data: param
		})
	}
}
